Just a minor change to mhupp's code. His version still plots N,E,h whereas the one below plots E,N,h (i swapped cadr and caddr around)
HTH
; POINTPLT is a simple AutoLSIP program that will plot a coordinate points file
; in AutoCAD. To run POINTPLT, load POINTPLT.LSP as you would any normal
; AutoLISP file (see AutoCAD Reference Manual), type "POINTPLT" and press
; [Enter]. POINTPLT will first prompt you for an input coordinate filename.
; You must enter a vaild DOS filename at this point. The input coordinate file
; must be in the following format:
;
; Point name (no spaces) (X Cord) (Y Cord) ELEVATION(z)
;
; A sample input coordinate file (SAMPLE.DAT) is included with POINTPLT.
;
; POINTPLT uses the default (current) text style and layer. However, the
; current text style must have a defined height (height must not be "0").
;
; If you have any questions or comments concerning POINTS, I may be reached
; via THE SPECTRUM BBS þ (501) 521-5639
;
;-------------------------------------------------------------------------------
; * ERROR Trapping *
;
(defun *ERROR* ()
(eop)
)
;-------------------------------------------------------------------------------
; * End of program *
;
(defun EOP ()
(setvar "CMDECHO" POINTSPLT_CE)
(princ)
)
;-------------------------------------------------------------------------------
; * Main Program *
(defun C:POINTPLT (/ IN_FILE POINT_LINE POINT_NO POINT)
(setq POINTSPLT_CE (getvar "CMDECHO"))
(setvar "CMDECHO" 0) ;Turn "Command Echo" off
(prompt "\n\nP O I N T P L T v1.0 -- Copyright (c) 1992 by Kurtis J. Jones / -Mate Software\n\n")
(setq IN_FILE (open (getfiled "\nEnter points filename: " (getvar 'DWGPREFIX) "txt" 16) "r"))
(while (setq POINT_LINE (read-line IN_FILE))
(if (eq (length (setq POINT_LINE (read (strcat "(" POINT_LINE ")")))) 4)
(progn
(setq POINT_NO (vl-princ-to-string (car POINT_LINE)))
(prompt (strcat "\nPlotting point no. " POINT_NO))
(setq POINT
(list
(cadr POINT_LINE) ;Get easting
(caddr POINT_LINE) ;Get northing
(last POINT_LINE) ;Get elevation
)
)
(entmake (list '(0 . "POINT") (cons 10 POINT)))
(entmake (list '(0 . "TEXT") (cons 10 POINT) '(40 . 1) (cons 1 POINT_NO)))
)
)
)
(close IN_FILE)
(prompt "\nPOINTPLT finished")
(eop)
)